import { EVMRPCRequest, EVMRPCResult } from './types';
import { Wallet } from '@bitgo-beta/sdk-core';
export declare class EvmRPCWrapper {
    private wallet;
    constructor(wallet: Wallet);
    /**
     * Handles RPC call from an EVM provider and invokes the appropriate BitGo SDK wallet method.
     *
     * @evmrpcRequest request
     * @evmrpcRequest walletPassphrase
     */
    handleRPCCall(request: EVMRPCRequest, walletPassphrase: string): Promise<EVMRPCResult>;
    private sendTransaction;
    private isString;
}
//# sourceMappingURL=evmRPCWrapper.d.ts.map